Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.apphosting.api
Enum ApiProxy.LogRecord.Level

    java.lang.Object
      java.lang.Enum<ApiProxy.LogRecord.Level>
          com.google.apphosting.api.ApiProxy.LogRecord.Level

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ApiProxy.LogRecord.Level>

Enclosing class:
  ApiProxy.LogRecord

    public static enum ApiProxy.LogRecord.Level

extends java.lang.Enum<ApiProxy.LogRecord.Level>

Enum Constant Summary
`debug`
`error`
`fatal`
`info`
`warn`

Method Summary
`static ApiProxy.LogRecord.Level` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ApiProxy.LogRecord.Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### debug

    public static final ApiProxy.LogRecord.Level debug

### info

    public static final ApiProxy.LogRecord.Level info

### warn

    public static final ApiProxy.LogRecord.Level warn

### error

    public static final ApiProxy.LogRecord.Level error

### fatal

    public static final ApiProxy.LogRecord.Level fatal

Method Detail

### values

    public static ApiProxy.LogRecord.Level[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ApiProxy.LogRecord.Level c : ApiProxy.LogRecord.Level.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ApiProxy.LogRecord.Level valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD